#include <iostream>

using namespace std;

int main()
{
    long long n,m,p,q,br=0;cin>>n>>m;
    long long mat[n][2];
    for(long long i = 0; i < n; i++){
        cin>>p>>q;
        mat[i][0]=p;mat[i][1]=q;
    }
    long long x,y,z;
    for (long long i=0;i<m;i++){
        cin>>x>>y>>z;
        for (long long j=x;j<=y;j++){
            if((z-mat[j-1][1])*(z-mat[j-1][0]) <= 0){br++;}
        }
        cout<<br<<endl;
        br=0;
    }
    
    return 0;
}